import { listItemSchema } from "./_shared.mjs"

/**
 * DataModel pour les items de type "creaturecapacity" (capacités de créature).
 * @augments {foundry.abstract.TypeDataModel}
 */
export default class VermineCreatureCapacityData extends foundry.abstract.TypeDataModel {
  /** @override */
  static LOCALIZATION_PREFIXES = ["VERMINE.item.creaturecapacity"]

  /** @override */
  static defineSchema() {
    const fields = foundry.data.fields
    return {
      ...listItemSchema(),
      type: new fields.StringField({ required: true, initial: "base" })
    }
  }
}
